getNetworkAclRuleList

Prev Next

Available in VPC

Get the list of a network ACL's rules by specifying the network ACL number.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/getNetworkAclRuleList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to query the network ACL list
networkAclNo String Required Query the list with the network ACL number
networkAclRuleTypeCode String Optional Query the list with the network ACL rule type code.
  • INBND | OTBND
    • INBND: inbound rule
    • OTBND: outbound rule
  • All rules of the network ACL (default)
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getNetworkAclRuleList
?regionCode=KR
&networkAclNo=***31' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See NetworkAclRuleList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<getNetworkAclRuleListResponse>
  <requestId>952f10f8-e8a8-4aae-b427-f1d74529db46</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <networkAclRuleList>
    <networkAclRule>
      <networkAclNo>***31</networkAclNo>
      <priority>0</priority>
      <protocolType>
        <code>TCP</code>
        <codeName>tcp</codeName>
      </protocolType>
      <portRange>22</portRange>
      <ruleAction>
        <code>ALLOW</code>
        <codeName>Allow</codeName>
      </ruleAction>
      <createDate>2020-07-31T18:29:38+0900</createDate>
      <ipBlock>***.***.0.0/0</ipBlock>
      <denyAllowGroupNo/>
      <networkAclRuleType>
        <code>INBND</code>
        <codeName>Inbound</codeName>
      </networkAclRuleType>
      <networkAclRuleDescription></networkAclRuleDescription>
    </networkAclRule>
  </networkAclRuleList>
</getNetworkAclRuleListResponse>